//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "request.h"

namespace Request {

class ListAssets : public Request {
    Q_OBJECT

public:
    ListAssets (const QUrl& baseUrl);

signals:
    void success(const QVariantList& assets);

protected:
    void onSuccess (const QVariantMap& data) override;
};

}
